/***************************************************************************
    begin                : Wed Oct 8 2003
    copyright            : (C) 2003 - 2005 by Alper Akcan
    email                : distchx@yahoo.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "../../../lib/xynth_.h"
#include "../../server.h"
#include "null.h"

s_video_driver_t s_video_null = {
	"null",
	"/dev/null",
	s_video_null_kbd_init,
	s_video_null_kbd_update,
	s_video_null_kbd_uninit,
	s_video_null_kbd_switch,
	s_video_null_mouse_setxrange,
	s_video_null_mouse_setyrange,
	s_video_null_mouse_setcursor,
	s_video_null_mouse_draw,
	s_video_null_mouse_update,
	s_video_null_mouse_uninit,
	s_video_null_mouse_init,
	s_video_null_server_init,
	s_video_null_server_uninit,
	s_video_null_server_goto_back,
	s_video_null_server_comefrom_back,
	s_video_null_server_restore,
	s_video_null_server_surface_update,
	NULL /* driver data */
};

void s_video_null_server_goto_back (void)
{
}

void s_video_null_server_comefrom_back (void)
{
}

void s_video_null_server_restore (void)
{
}

void s_video_null_server_uninit (void)
{
}

int s_video_null_server_init (s_server_conf_t *cfg)
{
	return -1;
}

void s_video_null_server_surface_update (s_rect_t *coor)
{
}
